#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libseccomp
Version		:	2.5.5
Release		:	17.2.0.rel%{?dist}
Summary		:	Enhanced seccomp library

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2.1
URL		:	https://github.com/seccomp/libseccomp

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	gcc
BuildRequires	:	gperf
BuildRequires	:	make

#-----------------------------------------------------------------------------
%description
The libseccomp library provides an easy to use
interface to the Linux Kernel's syscall filtering
mechanism, seccomp.  The libseccomp API allows
an application to specify which syscalls, and
optionally which syscall arguments, the application
is allowed to execute, all of which are enforced
by the Linux Kernel.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%doc CREDITS README.md CHANGELOG CONTRIBUTING.md
%{_libdir}/libseccomp.so.2*
 

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.


#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/scmp_sys_resolver
%{_includedir}/seccom*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man1/scmp*.1.gz
%{_mandir}/man3/seccomp_*.3.gz

#=============================================================================
%package		static
Summary		:	Enhanced seccomp static library

#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		static
Statically linked library to protect kernel syscall
 
#-----------------------------------------------------------------------------
%files			static
%defattr(-,root,root,-)
%{_libdir}/%{name}.a

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
